Artboard
FileMaker Files

Decrypt FM File

Requires FileMaker Server 20.3 or later. Starts an async decryption operation. Returns a processId to track progress. Accepts a single file or an array of files for batch processing.

POST
/otto/api/fm-file/decrypt

Request Body

application/json

POST /otto/api/fm-file/decrypt Request body

encryptionKey?string
force?boolean
password?string
username?string
inPlace*boolean

Whether to decrypt the file in place

sourceFile*string

File name to decrypt in the FileMaker format

Response Body

application/json

application/json

curl -X POST "https://your.server.net/otto/api/fm-file/decrypt" \  -H "Content-Type: application/json" \  -d '{    "encryptionKey": "string",    "force": true,    "password": "string",    "username": "string",    "inPlace": true,    "sourceFile": "string"  }'
{
  "messages": [
    {
      "code": 0,
      "text": "ok"
    }
  ],
  "response": {}
}
{
  "messages": [
    {
      "code": 18011,
      "text": "OttoFMS sample error"
    }
  ],
  "response": {}
}